package cz.moneta.test.smoke.cloans;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Smoke tests for Cloans")
public class CloansWSO2Tests {

    @TestCase(name = "Simple test for loans.cluster/client-info/001/check-existing-client")
    @JiraTestCase(id = "CLOANS-T111", project = "CLoans")
    public void clientInfo(Harness harness) {
        harness.tasks().wso2()
            .restRequest()
            .prepareEmptyRequestFromCbl("/t/loans.cluster/client-info/001/check-existing-client")
            .addField("BirthNumber", "6403164900")
            .postExtended()
            .andAssertStatus(200)
            .andAssertFieldValue("AppInManFraudFlag", "0");
    }
}
